Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-43751

Recompute compressor manager message parameters

    XMLWordPrintable

    Details

    • Backwards Compatibility:
      Fully Compatible
    • Backport Requested:
      v4.2, v4.0, v3.6, v3.4
    • Sprint:
      Security 2019-10-07
    • Linked BF Score:
      95

      Description

      CVE-2019-20925

      Title: Denial of service via malformed network packet
      CVE ID:
      Description
      An unauthenticated client can trigger denial of service by issuing specially crafted wire protocol messages, which cause the message decompressor to incorrectly allocate memory. This issue affects: MongoDB Inc. MongoDB Server v4.2 versions prior to 4.2.1; v4.0 versions prior to 4.0.13; v3.6 versions prior to 3.6.15; v3.4 versions prior to 3.4.24.
      CVSS score:
      This issue's CVSS:3.1 severity is scored at 7.5 using the following scoring metrics:
      CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
      Affected versions
      MongoDB Inc. MongoDB Server v4.2 versions prior to 4.2.1; v4.0 versions prior to 4.0.13; v3.6 versions prior to 3.6.15; v3.4 versions prior to 3.4.24.

      Underlying operating systems affected: ALL

      How the issue was reported: Internal

      External Reference link (server ticket):
      SERVER-43751

      CWE: CWE-839: Numeric Range Comparison Without Minimum Check

        Attachments

          Activity

            People

            Assignee:
            adam.cooper Adam Cooper
            Reporter:
            spencer.jackson Spencer Jackson
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: